
# two parameter: the dest dir to be unzipped, the src zip file name, also in dest dir
# if exists a folder or file of same name in zipped archieve, it will be deleted.   
function unzip([string] $path, [string]$zipFile)
{	
	if (!(test-path -path $zipFile))
	{
		return $false;
	}
	if ((get-item -path $zipFile).length -eq 0)
	{
		return $false;
	}
	SevenZ x $zipFile -y -o$path
	
	return $true;	
}

# two parameter: the source dir to be zipped, the dst zip file name which will be deleted if exists.
function zip([string] $path, [string] $zipFile)
{
	# make sure the path is created
	if (!(test-path -path $path))
	{
		return $false;
	}
	if ((get-childitem -path $path) -eq $null)
	{
		return $false;
	}

	# make sure no zip file does NOT exists, because the UI need human interaction

	if (test-path -path $zipFile)
	{		
		remove-item -path $zipFile -force;			
	}	
	 
	SevenZ a $zipFile $path
	return $true;
}

